SoSFDouble(3)

NAME
SoSFDouble - The SoSFDouble class is a container for a double precision floating point value.

SYNOPSIS

#include <Inventor/fields/SoSFDouble.h>

Inherits SoSField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoSFDouble & operator= (const SoSFDouble &field)
virtual SbBool isSame (const SoField &field) const
double getValue (void) const
void setValue (double newvalue)
double operator= (double newvalue)
int operator== (const SoSFDouble &field) const
int operator!= (const SoSFDouble &field) const

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Attributes
double value

  Additional Inherited Members

Detailed Description

The SoSFDouble class is a container for a double precision floating point value. This field is used where nodes, engines or other field containers need to store a single floating point value.

See also
    SoMFDouble

Member Function Documentation

  void * SoSFDouble::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoSFDouble::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSFDouble::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoSFDouble::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoSFDouble::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoSFDouble::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

Author

Generated automatically by Doxygen for Coin from the source code.